aboutsummaryrefslogtreecommitdiff
path: root/desktop/recoll/recoll.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/recoll/recoll.SlackBuild')
-rw-r--r--desktop/recoll/recoll.SlackBuild47
1 files changed, 27 insertions, 20 deletions
diff --git a/desktop/recoll/recoll.SlackBuild b/desktop/recoll/recoll.SlackBuild
index ef3a7762c069..12a2f805a170 100644
--- a/desktop/recoll/recoll.SlackBuild
+++ b/desktop/recoll/recoll.SlackBuild
@@ -24,29 +24,13 @@
# Modified by the SlackBuilds.org Project
PRGNAM=recoll
-VERSION=${VERSION:-1.22.3}
+VERSION=${VERSION:-1.31.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# from the official online documenatation:
-#
-# --enable-camelcase will enable splitting camelCase words. This is not enabled
-# by default as it has the unfortunate side-effect of making some phrase searches
-# quite confusing: ie, "MySQL manual" would be matched by "MySQL manual" and
-# "my sql manual" but not "mysql manual" (only inside phrase searches).
-#
-# to use this feature, set ENABLE_CAMELCASE to YES (default is to let it disabled)
-ENABLE_CAMELCASE=${ENABLE_CAMELCASE:-"NO"}
-
-if [ "$ENABLE_CAMELCASE" = "YES" ]; then
- CAMEL_CASE_CONFIG="--enable-camelcase"
-else
- CAMEL_CASE_CONFIG=""
-fi
-
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -57,8 +41,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -71,6 +55,22 @@ else
LIBDIRSUFFIX=""
fi
+# from the official online documenatation:
+#
+# --enable-camelcase will enable splitting camelCase words. This is not enabled
+# by default as it has the unfortunate side-effect of making some phrase searches
+# quite confusing: ie, "MySQL manual" would be matched by "MySQL manual" and
+# "my sql manual" but not "mysql manual" (only inside phrase searches).
+#
+# to use this feature, set ENABLE_CAMELCASE to YES (default is to let it disabled)
+ENABLE_CAMELCASE=${ENABLE_CAMELCASE:-"NO"}
+
+if [ "$ENABLE_CAMELCASE" = "YES" ]; then
+ CAMEL_CASE_CONFIG="--enable-camelcase"
+else
+ CAMEL_CASE_CONFIG=""
+fi
+
set -e
rm -rf $PKG
@@ -86,6 +86,12 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+sed -i '1,1i#include <QAbstractItemView>' qtgui/ssearch_w.cpp || exit 1
+
+# Ugly hack, but it seems to work...
+sed -i "s|recoll\.pro)|recoll.pro ; sed -i 's, -fno-exceptions,,' Makefile)|" Makefile.in
+
+QMAKE=qmake-qt5 \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure $CAMEL_CASE_CONFIG \
@@ -94,6 +100,7 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--mandir=/usr/man \
--localstatedir=/var \
+ --enable-recollq \
--build=$ARCH-slackware-linux
make